//Do not edit! This file was generated by Unity-ROS MessageGeneration.
using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Unity.Robotics.ROSTCPConnector.MessageGeneration;

namespace RosMessageTypes.Server
{
    [Serializable]
    public class AnimationFeedback : Message
    {
        public const string k_RosMessageName = "hlrc_server/animation";
        public override string RosMessageName => k_RosMessageName;

        public uint result;

        public AnimationFeedback()
        {
            this.result = 0;
        }

        public AnimationFeedback(uint result)
        {
            this.result = result;
        }

        public static AnimationFeedback Deserialize(MessageDeserializer deserializer) => new AnimationFeedback(deserializer);

        private AnimationFeedback(MessageDeserializer deserializer)
        {
            deserializer.Read(out this.result);
        }

        public override void SerializeTo(MessageSerializer serializer)
        {
            serializer.Write(this.result);
        }

        public override string ToString()
        {
            return "AnimationFeedback: " +
            "\nresult: " + result.ToString();
        }

#if UNITY_EDITOR
        [UnityEditor.InitializeOnLoadMethod]
#else
        [UnityEngine.RuntimeInitializeOnLoadMethod]
#endif
        public static void Register()
        {
            MessageRegistry.Register(k_RosMessageName, Deserialize, MessageSubtopic.Feedback);
        }
    }
}
